{% extends "base.html" %}

{% block title %}resources{% endblock %}

{% block content %}
    <h2>queries</h2>
    {% for item in resource %}
        <div>
            {{ item|component('link') }}
        </p>
        </div>
    {% endfor %}
    {% if editable %}
    <section>
        <form name="query"
              method="post"
              enctype="multipart/form-data"
              accept-charset="utf-8">
            <fieldset>
                <legend>new query</legend>
                <p>
                    <input type="text"
                    name="name"
                    placeholder="query name"
                    required>
                </p>
                <p>
                    <textarea name="body" rows="12" cols="72"></textarea>
                </p>
                <p>
                    <input type="text"
                    name="geo_column">
                </p>
                <input type="submit" value="submit">
            </fieldset>
        </form>
    </section>
    {% endif %}
{% endblock %}
